Attribute VB_Name = "ppSupport"
Option Explicit

'
' ppunapck.dll support module for VB5 & VB6
' @Author      : Peter Bakota, e-mail: bakota@tippnet.co.yu
' @Last update : 06.09.2001.
'

' Functions declaration
Public Declare Function ppLoadData Lib "ppunpack" (ByVal sFileName As String, ByRef upBuf As Long, ByRef upLen As Long) As Long
Public Declare Function ppFreeBuffer Lib "ppunpack" (ByVal upBuf As Long, ByVal upLen As Long) As Long
Public Declare Function ppDecrunchBuffer Lib "ppunpack" (ByVal ppBuf As Long, ByVal upBuf As Long, ByVal ppLen As Long, ByVal upLen As Long) As Long
Public Declare Function ppGetUSize Lib "ppunpack" (ByVal ppBuf As Long, ByVal ppLen As Long, ByRef upLen As Long) As Long
Public Declare Function ppGetUSizeFromFile Lib "ppunpack" (ByVal sFileName As String, ByRef upLen As Long) As Long
Public Declare Function ppDecrunchFile Lib "ppunpack" (ByVal sSrcName As String, ByVal sDestName As String) As Long
Public Declare Function ppIsPPFile Lib "ppunpack" (ByVal sFileName As String) As Long

' decrunch colors
Public Const DECR_COL0 As Integer = 0
Public Const DECR_COL1  As Integer = 1
Public Const DECR_POINTER  As Integer = 2
Public Const DECR_SCROLL  As Integer = 3
Public Const DECR_NONE  As Integer = 4

' error codes
Public Const PP_LOADOK As Integer = 0
Public Const PP_LOCKERR As Integer = 1000
Public Const PP_OPENERR As Integer = 1001
Public Const PP_READERR As Integer = 1002
Public Const PP_NOMEMORY As Integer = 1003
Public Const PP_CRYPTED As Integer = 1004
Public Const PP_PASSERR As Integer = 1005

' Ezeket itt a sajatom
Public Const PP_NOTPPDATA As Integer = 1006
Public Const PP_WRITEERR As Integer = 1007

'--------------------------------------------------------------------------------
' Procedure  :       ppGetErrorString
' Description:       Convert PP error code to string
' Parameters :       lErr
'--------------------------------------------------------------------------------
Public Function ppGetErrorString(lErr As Long) As String

  Select Case lErr

    Case PP_LOADOK
      ppGetErrorString = "Load OK"

    Case PP_LOCKERR
      ppGetErrorString = "Lock error"

    Case PP_OPENERR
      ppGetErrorString = "Open error"

    Case PP_READERR
      ppGetErrorString = "Read error"

    Case PP_NOMEMORY
      ppGetErrorString = "No memory"

    Case PP_CRYPTED
      ppGetErrorString = "Crypted data"

    Case PP_PASSERR
      ppGetErrorString = "Wrong password"

    Case PP_NOTPPDATA
      ppGetErrorString = "Not a PP data"

    Case PP_WRITEERR
      ppGetErrorString = "Write error"

    Case Else
      ppGetErrorString = "Unknown error"

  End Select

End Function

